Zen API

- Home
- Help Topics
- Types by Category
- All Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
kText256 Struct Reference
kApi

## Description

Represents a 256-unit, null-terminated, kChar sequence.

Inheritance diagram for kText256:

## Public Member Functions
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Member Function Documentation

kBool kValue_Equals | ( | kType | type,
|  | const void * | value,
|  | const void * | other
| ) |  |
| inherited

Determines whether a value is equal to another value.

The default implementation of this method uses type reflection to compare the values field by field. This approach is not efficient, and in some cases may not produce the desired result. Value types should override this method if it is likely that equality comparisons will be required.

Parameters

  type | Value type.
  value | Pointer to value.
  other | Pointer to other value.

Returns
  kTRUE if the values are equal.

kSize kValue_HashCode | ( | kType | type,
|  | const void * | value
| ) |  |
| inherited

Gets a hash code representing the state of this value.

The default implementation of this method uses type reflection to generate a hash code that combines the hash codes from individual fields. This approach is not efficient, and may not produce an optimal hash code. Value types should override this method if it is likely that hash codes will be required.

Parameters

  type | Value type.
  value | Pointer to value.

Returns
  Hash code.

void kValue_Import | ( | kType | type,
|  | void * | value,
|  | const void * | source
| ) |  |
| inherited

Imports the content of another value into this value.

This method supports importing content from an external source, which may have a different size. In particular, "array value" types such as kText32 can import from a null-terminated source array of a differnt length.

Parameters

  type | Value type.
  value | Pointer to value.
  source | Source for import.

The documentation for this struct was generated from the following file:

- kApiDef.h